//*****************************************************************************
//
// qtmixer - an X windows soundcard mixer program.
// Copyright (C) 1997 - 2000  Tom Daley
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The license is in the file COPYING.
//
// Tom Daley
// 1309 W. Lorraine Ave.
// Woodland Park, CO  80863-2329
//
// daley@codenet.net (Tom Daley)
// http://users.codenet.net/daley
//
//*****************************************************************************

#ifndef QTED_MIXER_CHANNEL_H
#define QTED_MIXER_CHANNEL_H

#include <qpushbt.h>
#include "stereo_slider.h"

//*****************************************************************************

class QtedMixerChannel : public QWidget {
   Q_OBJECT
   private:
      int _number;		// channel number
      int _recordable;
      QLabel *_label_p;
      QtedStereoSlider *_ss_p;
      QPushButton *_record_button_p;
   public:
      QtedMixerChannel(int ch_num, QString label, int left = 0, int right = 0,
               int record_flag = 0, QWidget *parent = 0, const char *name = 0); 
      void setMono(int flag);
      int leftValue(void);
      int rightValue(void);
      int number(void);
      int recordOn(void);	 // get record button state
      void setRecord(int state); // turn record toggle button on/off
   protected:
      void resizeEvent(QResizeEvent *);
   private slots:
      void recPressed();
      void setValue();
   signals:
      void recordPressed(QtedMixerChannel *);
      void valueChanged(QtedMixerChannel *);
};

#endif

//*****************************************************************************
